zenilib: zenilib/jni/external/freetype2/src/otvalid/otvgsub.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
otvgsub.c File Reference
`#include "otvalid.h"`
`#include "otvcommn.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_otvgsub
#define | LigatureFunc otv_Ligature_validate

## Functions

static void | otv_AlternateSubst_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ChainContextSubst_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ContextSubst_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ExtensionSubst_validate (FT_Bytes table, OTV_Validator valid)
| otv_GSUB_validate (FT_Bytes table, FT_UInt glyph_count, FT_Validator ftvalid)
static void | otv_Ligature_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_LigatureSubst_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_MultipleSubst_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ReverseChainSingleSubst_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_SingleSubst_validate (FT_Bytes table, OTV_Validator valid)

## Variables

static const OTV_Validate_Func | otv_gsub_validate_funcs [8]

## Macro Definition Documentation

#define FT_COMPONENT trace_otvgsub

Definition at line 30 of file otvgsub.c.

#define LigatureFunc otv_Ligature_validate

Definition at line 203 of file otvgsub.c.

## Function Documentation

static void otv_AlternateSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 165 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST2, OTV_RUN, and OTV_TRACE.

static void otv_ChainContextSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 339 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST1, OTV_NEST3, OTV_RUN, and OTV_TRACE.

static void otv_ContextSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 280 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST1, OTV_NEST3, OTV_RUN, and OTV_TRACE.

static void otv_ExtensionSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 400 of file otvgsub.c.

References FT_INVALID_DATA, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

otv_GSUB_validate | ( | FT_Bytes | table,
|  | FT_UInt | glyph_count,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 546 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, otv_FeatureList_validate(), otv_gsub_validate_funcs, OTV_INIT, OTV_LIMIT_CHECK, otv_LookupList_validate(), and otv_ScriptList_validate().

Referenced by otv_validate().

static void otv_Ligature_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 208 of file otvgsub.c.

References FT_INVALID_DATA, FT_NEXT_USHORT, OTV_ENTER, OTV_EXIT, OTV_LIMIT_CHECK, and OTV_TRACE.

static void otv_LigatureSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 240 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST3, OTV_RUN, and OTV_TRACE.

static void otv_MultipleSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 124 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST2, OTV_RUN, and OTV_TRACE.

static void otv_ReverseChainSingleSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 456 of file otvgsub.c.

References FT_INVALID_DATA, FT_INVALID_FORMAT, FT_NEXT_USHORT, otv_Coverage_get_count(), otv_Coverage_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

static void otv_SingleSubst_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 44 of file otvgsub.c.

References FT_INVALID_DATA, FT_INVALID_FORMAT, FT_INVALID_GLYPH_ID, FT_NEXT_SHORT, FT_NEXT_USHORT, idx, otv_Coverage_get_first(), otv_Coverage_get_last(), otv_Coverage_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

## Variable Documentation

const OTV_Validate_Func otv_gsub_validate_funcs[8]

static

Initial value:
=
{
otv_SingleSubst_validate,
otv_MultipleSubst_validate,
otv_AlternateSubst_validate,
otv_LigatureSubst_validate,
otv_ContextSubst_validate,
otv_ChainContextSubst_validate,
otv_ExtensionSubst_validate,
otv_ReverseChainSingleSubst_validate
}
otv_ExtensionSubst_validate
static void otv_ExtensionSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:400
otv_SingleSubst_validate
static void otv_SingleSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:44
otv_MultipleSubst_validate
static void otv_MultipleSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:124
otv_ReverseChainSingleSubst_validate
static void otv_ReverseChainSingleSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:456
otv_LigatureSubst_validate
static void otv_LigatureSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:240
otv_ContextSubst_validate
static void otv_ContextSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:280
otv_AlternateSubst_validate
static void otv_AlternateSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:165
otv_ChainContextSubst_validate
static void otv_ChainContextSubst_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgsub.c:339

Definition at line 520 of file otvgsub.c.

Referenced by otv_GSUB_validate().